varying vec4 pos;
varying vec3 Light;
varying vec3 HalfVector;

void main(void)
{
	gl_TexCoord[0] = gl_MultiTexCoord0;
	pos = gl_ModelViewProjectionMatrix * gl_Vertex;
	Light = normalize(gl_LightSource[0].position.xyz);
	HalfVector = normalize(gl_LightSource[0].halfVector.xyz);

	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
}
